Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocWriter Class Referenceabstract

Consumer returns this on each doc. This holds any state that must be flushed synchronized "in docID order". We gather these and flush them in order. More...

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::DocWriter:

## Public Member Functions

| DocWriter ()
virtual | ~DocWriter ()
virtual String | getClassName ()
boost::shared_ptr< DocWriter > | shared_from_this ()
virtual void | finish ()=0
virtual void | abort ()=0
virtual int64_t | sizeInBytes ()=0
virtual void | setNext (const DocWriterPtr &next)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

DocWriterPtr | next
int32_t | docID

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Consumer returns this on each doc. This holds any state that must be flushed synchronized "in docID order". We gather these and flush them in order.

## Constructor & Destructor Documentation

Lucene::DocWriter::DocWriter | ( |  | ) |

virtual Lucene::DocWriter::~DocWriter | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::DocWriter::_getClassName | ( |  | ) |

inline static

virtual void Lucene::DocWriter::abort | ( |  | ) |

pure virtual

Implemented in Lucene::SkipDocWriter, Lucene::DocFieldProcessorPerThreadPerDoc, Lucene::TermVectorsTermsWriterPerDoc, Lucene::DocFieldConsumersPerDoc, and Lucene::StoredFieldsWriterPerDoc.

virtual void Lucene::DocWriter::finish | ( |  | ) |

pure virtual

Implemented in Lucene::SkipDocWriter, Lucene::DocFieldProcessorPerThreadPerDoc, Lucene::TermVectorsTermsWriterPerDoc, Lucene::StoredFieldsWriterPerDoc, and Lucene::DocFieldConsumersPerDoc.

virtual String Lucene::DocWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::SkipDocWriter, Lucene::DocFieldProcessorPerThreadPerDoc, Lucene::TermVectorsTermsWriterPerDoc, Lucene::DocFieldConsumersPerDoc, and Lucene::StoredFieldsWriterPerDoc.

virtual void Lucene::DocWriter::setNext | ( | const DocWriterPtr & | next | ) |

virtual

boost::shared_ptr< DocWriter > Lucene::DocWriter::shared_from_this | ( |  | ) |

inline

virtual int64_t Lucene::DocWriter::sizeInBytes | ( |  | ) |

pure virtual

Implemented in Lucene::SkipDocWriter, Lucene::DocFieldProcessorPerThreadPerDoc, Lucene::TermVectorsTermsWriterPerDoc, Lucene::StoredFieldsWriterPerDoc, and Lucene::DocFieldConsumersPerDoc.

## Field Documentation

int32_t Lucene::DocWriter::docID

DocWriterPtr Lucene::DocWriter::next

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net